a {
    text-decoration: none;
    background-color: transparent;
    overflow: visible;
}

.projects-layout {
    height: 100vh;
    width: 100vw;

    display: grid;
    grid-template-rows: 80px 1fr;
    align-items: center;
    justify-items: center;

    background-color: rgb(19, 24, 30);

    position: relative;
    overflow-y: scroll;
}

/* the back button on the top of the screen */
.project-back-button {
    color: black;
    font-weight: 500;
    font-size: 25px;
    margin-top: 25px;
    display: flex;
    align-items: center;
    place-content: center;
    background-color: rgb(28, 119, 195);
    height: 50px;
    width: 50px;
    border-radius: 50px;
    border: none;
    transition: 150ms linear;
    opacity: 0.8;
    cursor: pointer;
}

.project-back-button:hover {
    color: rgb(31, 132, 215);
    background-color: rgb(31, 132, 215);
    height: 52px;
    width: 52px;
    cursor: pointer;
    opacity: 1;
}

.project-back-button:active {
    height: 45px;
    width: 45px;
    background-color: rgb(28, 119, 195);
    color: rgb(28, 119, 195);

}

i {
    background-color: transparent;
    font-size: 20px;
    cursor: pointer;
}

.projects-page {
    height: 100%;
    width: 100vw;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color: transparent;
    row-gap: 20px;
    overflow: visible;
}

/* my projects */
h1 {
    font-size: 40px;
    color: rgb(28, 119, 195);
    font-weight: bold;
    font-family: 'La Belle Aurore', cursive;
    background-color: transparent;
}

.projects {
    width: 100%;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-content: center;
    justify-content: center;

    column-gap: 25px;
    row-gap: 25px;
    background-color: transparent;

    overflow: visible;
}

.project-card {
    color: rgb(229, 229, 229);
    background-color: transparent;
    height: 28vh;
    width: 26vw;
    border-radius: 5px;

    display: grid;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    border: 4px solid transparent;
    transition: 200ms
}

.project-card:hover {
    border: 4px solid white;
    box-shadow: 0px 0px 1000px rgb(231, 231, 231);
}

.project-card * {
    grid-area: 1/1;
}

.project-banner {
    object-fit: cover;
    height: 28vh;
    width: 26vw;
    opacity: 0.9;
    cursor: pointer;
}

/* text appearing on hovering on the project element */
.project-card h2 {
    background-color: transparent;
    text-align: center;

    font-weight: bold;
    align-self: end;
    margin-bottom: 7vh;

    opacity: 0;
    transition: 200ms;

    cursor: pointer;
}

/* the gradient behind the title of the project that gets added on the hover of the element */
.gradient {
    height: 28vh;
    width: 26vw;
    background-color: transparent;
    background-image: linear-gradient(to bottom, transparent 5%, rgb(42, 42, 42) 100%);

    opacity: 0;
    transition: 200ms;
    cursor: pointer;
}

.project-card:hover>h2,
.project-card:hover>.gradient {
    opacity: 1;
}

/* see more on github */
button {
    background-color: rgb(29, 102, 162);
    font-size: 16px;
    border-radius: 20px;
    transition: 150ms linear;
    padding: 10px 15px;
    border: none;
}

button:hover {
    cursor: pointer;
    background-color: rgb(28, 119, 195);
    padding: 12px 17px;
}


button:active {
    background-color: rgb(21, 84, 136);
    padding: 10px 15px;
}

@media (max-width: 1400px) {
    .project-card {
        color: rgb(229, 229, 229);
        height: 250px;
        width: 400px;
    }

    .project-banner {
        object-fit: cover;
        height: 250px;
        width: 400px;
        opacity: 0.9;
    }

    .gradient {
        height: 250px;
        width: 400px;
    }
}

@media (max-width: 900px) {
    .projects {
        column-gap: 15px;
        row-gap: 15px;
    }

    .project-card {
        height: 200px;
        width: 350px;
    }

    .project-banner {
        height: 200px;
        width: 350px;
    }

    .project-card h2 {
        font-size: 20px;
        margin-bottom: 50px;
        opacity: 1;
    }

    .gradient {
        height: 200px;
        width: 350px;
        opacity: 1;
    }
}

@media (max-width: 750px) {
    h1 {
        font-size: 34px;
    }

    button {
        margin-bottom: 25px;
    }
}

@media (max-width: 500px) {

    .project-card,
    .project-banner,
    .gradient {
        height: 150px;
        width: 300px;
    }

    .project-card h2 {
        font-size: 20px;
        margin-bottom: 50px;
        opacity: 1;
    }

    .gradient {
        opacity: 1;
    }

    h1 {
        font-size: 26px;
    }
}